Thank you so much for helping on cursive!

Here are a few guidelines to help make sure your contribution goes as smoothly as possible.

## You found a bug

This is still a young library, and bugs are sure to be hiding everywhere. If you found one, great!

* Mention the operating system you are using. If you are manually selecting a backend (for instance termion), please mention this as well.
* Try to provide "simple" (if possible) code to reproduce the bug. If you can't simplify your code, a complete code is better than a simple, but incomplete one.
* If relevant, you can post a screenshot describing the problem.

## Improvement idea

If you have an idea you think would make this library better, we're all ears!

* Describe your use-case: what do you want to achieve with this improvement?

## Pull requests

If you feel like digging in the code, thank you again! We're very grateful for your work.

* Format your code with rustfmt.
* Make sure all tests are passing - it's very easy to forget a backend! If you start a Pull Request, travis will check all backends for you.
* Only use stable rust features. This library should compile on rust stable.
* Do one thing at a time. Split a large change into a series of smaller, standalone changes. Don't start a refactor while adding a feature.
